#version 120

uniform sampler2D texture;
uniform float ratio;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
	vec4 pixel = texture2D(texture, texcoord);
			
	if (gl_TexCoord[0].x > ratio)
	{
		gl_FragColor = vec4(0, 0, 0, 0);
	}
	else
	{
		gl_FragColor = pixel;
	}
}