#version 120

uniform sampler2D texture;
uniform float timer;

void main()
{
	vec2 texcoord = gl_TexCoord[0].xy;
	texcoord.y += cos((texcoord.x + timer) * 3) * 0.005;
	vec4 pixel = texture2D(texture, texcoord);

	gl_FragColor = pixel;
}